Package org.kapott.hbci.tools

# Class ObjectFactory

java.lang.Object
org.kapott.hbci.tools.ObjectFactory

Direct Known Subclasses:
  `CryptFactory`, `DEFactory`, `DEGFactory`, `MSGFactory`, `MultipleDEGsFactory`, `MultipleDEsFactory`, `MultipleSEGsFactory`, `MultipleSFsFactory`, `SEGFactory`, `SFFactory`, `SigFactory`

public class ObjectFactory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`currentPoolSize`
`protected final Collection<Object>`
`freeObjects`
`protected final Collection<Object>`
`usedObjects`

## Constructor Summary

Constructors
Constructor
Description
`ObjectFactory()`
`ObjectFactory(int maxPoolSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToFreePool(Object o)`
`void`
`addToUsedPool(Object o)`
`Object`
`getFreeObject()`
`Collection<Object>`
`getFreeObjects()`
`Collection<Object>`
`getUsedObjects()`
`String`
`toString()`
`void`
`unuseObject(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### freeObjects

protected final Collection<Object> freeObjects

### usedObjects

protected final Collection<Object> usedObjects

### currentPoolSize

protected int currentPoolSize

## Constructor Details

### ObjectFactory

public ObjectFactory()

### ObjectFactory

public ObjectFactory(int maxPoolSize)

## Method Details

### getFreeObject

public Object getFreeObject()

### addToUsedPool

public void addToUsedPool(Object o)

### addToFreePool

public void addToFreePool(Object o)

### unuseObject

public void unuseObject(Object o)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getUsedObjects

public Collection<Object> getUsedObjects()

### getFreeObjects

public Collection<Object> getFreeObjects()